sailpoint.persistence

## Interface Sequencer

    public interface Sequencer

### Field Summary

Fields
`static int` `DEFAULT_LEFT_PADDING` The default amount of left padding to use.

### Method Summary

All Methods Instance Methods Abstract Methods
`java.lang.String` `generateId(SailPointContext context, java.lang.Object object)`
`java.util.List<java.lang.String>` `getCreateSql()`
`java.util.List<java.lang.String>` `getDropSql()`

### Field Detail

#### DEFAULT_LEFT_PADDING

    static final int DEFAULT_LEFT_PADDING

The default amount of left padding to use. Consider allowing this to be configurable. Should keep this in sync with hibernate IDs that use this generator. Ten digits will give us just under 10 billion IDs before we overflow.

See Also:
  Constant Field Values

### Method Detail

#### generateId

    java.lang.String generateId(SailPointContext context,
                                java.lang.Object object)
                         throws GeneralException,
                                java.lang.IllegalArgumentException

Throws:
  `GeneralException`
  `java.lang.IllegalArgumentException`

#### getCreateSql

    java.util.List<java.lang.String> getCreateSql()
                                           throws GeneralException

Throws:
  `GeneralException`

#### getDropSql

    java.util.List<java.lang.String> getDropSql()
                                         throws GeneralException

Throws:
  `GeneralException`